/*----------------------------------------------------------------------*\
 | Symbolic names for keywords of the FGDC Content Standards for		|
 | Digital Geospatial Metadata.											|
 |																		|
 | Revised 24 Dec 1996 to use specific values so that binary format		|
 | support (in progress) can work reliably.								|
 |																		|
 | Peter N. Schweitzer (U.S. Geological Survey, Reston, VA 20192)		|
\*----------------------------------------------------------------------*/

#ifndef FGDC_KEYWORD_ENUM
#define FGDC_KEYWORD_ENUM	1

enum fgdc_keyword {
	WAbscissa_Resolution = 0,
	WAbstract = 1,
	WAccess_Constraints = 2,
	WAccess_Instructions = 3,
	WAddress = 4,
	WAddress_Type = 5,
	WAlbers_Conical_Equal_Area = 6,
	WAltitude_Datum_Name = 7,
	WAltitude_Distance_Units = 8,
	WAltitude_Encoding_Method = 9,
	WAltitude_Resolution = 10,
	WAltitude_System_Definition = 11,
	WARC_Coordinate_System = 12,
	WARC_System_Zone_Identifier = 13,
	WAttribute = 14,
	WAttribute_Accuracy = 15,
	WAttribute_Accuracy_Explanation = 16,
	WAttribute_Accuracy_Report = 17,
	WAttribute_Accuracy_Value = 18,
	WAttribute_Definition = 19,
	WAttribute_Definition_Source = 20,
	WAttribute_Domain_Values = 21,
	WAttribute_Label = 22,
	WAttribute_Measurement_Frequency = 23,
	WAttribute_Measurement_Resolution = 24,
	WAttribute_Units_of_Measure = 25,
	WAttribute_Value_Accuracy = 26,
	WAttribute_Value_Accuracy_Explanation = 27,
	WAttribute_Value_Accuracy_Information = 28,
	WAvailable_Time_Period = 29,
	WAzimuthal_Angle = 30,
	WAzimuthal_Equidistant = 31,
	WAzimuth_Measure_Point_Longitude = 32,
	WBearing_Reference_Direction = 33,
	WBearing_Reference_Meridian = 34,
	WBearing_Resolution = 35,
	WBearing_Units = 36,
	WBeginning_Date = 37,
	WBeginning_Date_of_Attribute_Values = 38,
	WBeginning_Time = 39,
	WBounding_Coordinates = 40,
	WBrowse_Graphic = 41,
	WBrowse_Graphic_File_Description = 42,
	WBrowse_Graphic_File_Name = 43,
	WBrowse_Graphic_File_Type = 44,
	WCalendar_Date = 45,
	WCitation = 46,
	WCitation_Information = 47,
	WCity = 48,
	WCloud_Cover = 49,
	WCodeset_Domain = 50,
	WCodeset_Name = 51,
	WCodeset_Source = 52,
	WColumn_Count = 53,
	WCompatibility_Information = 54,
	WCompleteness_Report = 55,
	WCompression_Support = 56,
	WComputer_Contact_Information = 57,
	WContact_Address = 58,
	WContact_Electronic_Mail_Address = 59,
	WContact_Facsimile_Telephone = 60,
	WContact_Information = 61,
	WContact_Instructions = 62,
	WContact_Organization = 63,
	WContact_Organization_Primary = 64,
	WContact_Person = 65,
	WContact_Person_Primary = 66,
	WContact_Position = 67,
	WContact_TDD_TTY_Telephone = 68,
	WContact_Voice_Telephone = 69,
	WCoordinate_Representation = 70,
	WCountry = 71,
	WCross_Reference = 72,
	WCurrentness_Reference = 73,
	WCustom_Order_Process = 74,
	WData_Quality_Information = 75,
	WData_Set_Credit = 76,
	WData_Set_G_Polygon = 77,
	WData_Set_G_Polygon_Exclusion_G_Ring = 78,
	WData_Set_G_Polygon_Outer_G_Ring = 79,
	WDenominator_of_Flattening_Ratio = 80,
	WDepth_Datum_Name = 81,
	WDepth_Distance_Units = 82,
	WDepth_Encoding_Method = 83,
	WDepth_Resolution = 84,
	WDepth_System_Definition = 85,
	WDescription = 86,
	WDetailed_Description = 87,
	WDialup_File_Name = 88,
	WDialup_Instructions = 89,
	WDialup_Telephone = 90,
	WDigital_Form = 91,
	WDigital_Transfer_Information = 92,
	WDigital_Transfer_Option = 93,
	WDirect_Spatial_Reference_Method = 94,
	WDistance_and_Bearing_Representation = 95,
	WDistance_Resolution = 96,
	WDistribution_Information = 97,
	WDistribution_Liability = 98,
	WDistributor = 99,
	WEast_Bounding_Coordinate = 100,
	WEdition = 101,
	WEllipsoid_Name = 102,
	WEnding_Date = 103,
	WEnding_Date_of_Attribute_Values = 104,
	WEnding_Time = 105,
	WEntity_and_Attribute_Detail_Citation = 106,
	WEntity_and_Attribute_Information = 107,
	WEntity_and_Attribute_Overview = 108,
	WEntity_Type = 109,
	WEntity_Type_Definition = 110,
	WEntity_Type_Definition_Source = 111,
	WEntity_Type_Label = 112,
	WEnumerated_Domain = 113,
	WEnumerated_Domain_Value = 114,
	WEnumerated_Domain_Value_Definition = 115,
	WEnumerated_Domain_Value_Definition_Source = 116,
	WEquidistant_Conic = 117,
	WEquirectangular = 118,
	WFalse_Easting = 119,
	WFalse_Northing = 120,
	WFees = 121,
	WFile_Decompression_Technique = 122,
	WFormat_Information_Content = 123,
	WFormat_Name = 124,
	WFormat_Specification = 125,
	WFormat_Version_Date = 126,
	WFormat_Version_Number = 127,
	WG_Ring_Latitude = 128,
	WG_Ring_Longitude = 129,
	WGeneral_Vertical_Near_sided_Perspective = 130,
	WGeodetic_Model = 131,
	WGeographic = 132,
	WGeographic_Coordinate_Units = 133,
	WGeospatial_Data_Presentation_Form = 134,
	WGnomonic = 135,
	WGrid_Coordinate_System = 136,
	WGrid_Coordinate_System_Name = 137,
	WHeight_of_Perspective_Point_Above_Surface = 138,
	WHighest_BPS = 139,
	WHorizontal_Coordinate_System_Definition = 140,
	WHorizontal_Datum_Name = 141,
	WHorizontal_Positional_Accuracy = 142,
	WHorizontal_Positional_Accuracy_Explanation = 143,
	WHorizontal_Positional_Accuracy_Report = 144,
	WHorizontal_Positional_Accuracy_Value = 145,
	WHours_of_Service = 146,
	WIdentification_Information = 147,
	WIndirect_Spatial_Reference = 148,
	WIssue_Identification = 149,
	WKeywords = 150,
	WLambert_Azimuthal_Equal_Area = 151,
	WLambert_Conformal_Conic = 152,
	WLandsat_Number = 153,
	WLarger_Work_Citation = 154,
	WLatitude_of_Projection_Center = 155,
	WLatitude_of_Projection_Origin = 156,
	WLatitude_Resolution = 157,
	WLineage = 158,
	WLocal = 159,
	WLocal_Description = 160,
	WLocal_Georeference_Information = 161,
	WLocal_Planar = 162,
	WLocal_Planar_Description = 163,
	WLocal_Planar_Georeference_Information = 164,
	WLogical_Consistency_Report = 165,
	WLongitude_of_Central_Meridian = 166,
	WLongitude_of_Projection_Center = 167,
	WLongitude_Resolution = 168,
	WLowest_BPS = 169,
	WMaintenance_and_Update_Frequency = 170,
	WMap_Projection = 171,
	WMap_Projection_Name = 172,
	WMercator = 173,
	WMetadata = 174,
	WMetadata_Access_Constraints = 175,
	WMetadata_Contact = 176,
	WMetadata_Date = 177,
	WMetadata_Future_Review_Date = 178,
	WMetadata_Reference_Information = 179,
	WMetadata_Review_Date = 180,
	WMetadata_Security_Classification = 181,
	WMetadata_Security_Classification_System = 182,
	WMetadata_Security_Handling_Description = 183,
	WMetadata_Security_Information = 184,
	WMetadata_Standard_Name = 185,
	WMetadata_Standard_Version = 186,
	WMetadata_Time_Convention = 187,
	WMetadata_Use_Constraints = 188,
	WMiller_Cylindrical = 189,
	WModified_Stereographic_for_Alaska = 190,
	WMultiple_Dates_Times = 191,
	WNative_Data_Set_Environment = 192,
	WNetwork_Address = 193,
	WNetwork_Resource_Name = 194,
	WNon_digital_Form = 195,
	WNorth_Bounding_Coordinate = 196,
	WNumber_DataBits = 197,
	WNumber_StopBits = 198,
	WOblique_Line_Azimuth = 199,
	WOblique_Line_Latitude = 200,
	WOblique_Line_Longitude = 201,
	WOblique_Line_Point = 202,
	WOblique_Mercator = 203,
	WOffline_Media = 204,
	WOffline_Option = 205,
	WOnline_Computer_and_Operating_System = 206,
	WOnline_Linkage = 207,
	WOnline_Option = 208,
	WOrdering_Instructions = 209,
	WOrdinate_Resolution = 210,
	WOriginator = 211,
	WOrthographic = 212,
	WOther_Citation_Details = 213,
	WOther_Grid_Systems_Definition = 214,
	WOther_Projections_Definition = 215,
	WOverview_Description = 216,
	WParity = 217,
	WPath_Number = 218,
	WPlace = 219,
	WPlace_Keyword = 220,
	WPlace_Keyword_Thesaurus = 221,
	WPlanar = 222,
	WPlanar_Coordinate_Encoding_Method = 223,
	WPlanar_Coordinate_Information = 224,
	WPlanar_Distance_Units = 225,
	WPoint_and_Vector_Object_Count = 226,
	WPoint_and_Vector_Object_Information = 227,
	WPoint_of_Contact = 228,
	WPolar_Stereographic = 229,
	WPolyconic = 230,
	WPositional_Accuracy = 231,
	WPostal_Code = 232,
	WProcess_Contact = 233,
	WProcess_Date = 234,
	WProcess_Description = 235,
	WProcess_Step = 236,
	WProcess_Time = 237,
	WProgress = 238,
	WPublication_Date = 239,
	WPublication_Information = 240,
	WPublication_Place = 241,
	WPublication_Time = 242,
	WPublisher = 243,
	WPurpose = 244,
	WQuantitative_Attribute_Accuracy_Assessment = 245,
	WQuantitative_Horizontal_Positional_Accuracy_Assessment = 246,
	WQuantitative_Vertical_Positional_Accuracy_Assessment = 247,
	WRange_Domain = 248,
	WRange_Domain_Maximum = 249,
	WRange_Domain_Minimum = 250,
	WRange_of_Dates_Times = 251,
	WRaster_Object_Information = 252,
	WRaster_Object_Type = 253,
	WRecording_Density = 254,
	WRecording_Capacity = 255,
	WRecording_Density_Units = 256,
	WRecording_Format = 257,
	WResource_Description = 258,
	WRobinson = 259,
	WRow_Count = 260,
	WScale_Factor_at_Center_Line = 261,
	WScale_Factor_at_Central_Meridian = 262,
	WScale_Factor_at_Equator = 263,
	WScale_Factor_at_Projection_Origin = 264,
	WSDTS_Point_and_Vector_Object_Type = 265,
	WSDTS_Terms_Description = 266,
	WSecurity_Classification = 267,
	WSecurity_Classification_System = 268,
	WSecurity_Handling_Description = 269,
	WSecurity_Information = 270,
	WSemi_major_Axis = 271,
	WSeries_Information = 272,
	WSeries_Name = 273,
	WSingle_Date_Time = 274,
	WSinusoidal = 275,
	WSource_Citation = 276,
	WSource_Citation_Abbreviation = 277,
	WSource_Contribution = 278,
	WSource_Currentness_Reference = 279,
	WSource_Information = 280,
	WSource_Produced_Citation_Abbreviation = 281,
	WSource_Scale_Denominator = 282,
	WSource_Time_Period_of_Content = 283,
	WSource_Used_Citation_Abbreviation = 284,
	WSouth_Bounding_Coordinate = 285,
	WSpace_Oblique_Mercator_Landsat = 286,
	WSpatial_Data_Organization_Information = 287,
	WSpatial_Domain = 288,
	WSpatial_Reference_Information = 289,
	WSPCS_Zone_Identifier = 290,
	WStandard_Order_Process = 291,
	WStandard_Parallel = 292,
	WState_or_Province = 293,
	WState_Plane_Coordinate_System = 294,
	WStatus = 295,
	WStereographic = 296,
	WStraight_Vertical_Longitude_from_Pole = 297,
	WStratum = 298,
	WStratum_Keyword = 299,
	WStratum_Keyword_Thesaurus = 300,
	WSupplemental_Information = 301,
	WTechnical_Prerequisites = 302,
	WTemporal = 303,
	WTemporal_Keyword = 304,
	WTemporal_Keyword_Thesaurus = 305,
	WTheme = 306,
	WTheme_Keyword = 307,
	WTheme_Keyword_Thesaurus = 308,
	WTime_of_Day = 309,
	WTime_Period_Information = 310,
	WTime_Period_of_Content = 311,
	WTitle = 312,
	WTransfer_Size = 313,
	WTransverseMercator = 314,
	WTransverse_Mercator = 315,
	WTurnaround = 316,
	WType_of_Source_Media = 317,
	WUniversal_Polar_Stereographic = 318,
	WUniversal_Transverse_Mercator = 319,
	WUnrepresentable_Domain = 320,
	WUPS_Zone_Identifier = 321,
	WUse_Constraints = 322,
	WUTM_Zone_Number = 323,
	Wvan_der_Grinten = 324,
	WVertical_Coordinate_System_Definition = 325,
	WVertical_Count = 326,
	WVertical_Positional_Accuracy = 327,
	WVertical_Positional_Accuracy_Explanation = 328,
	WVertical_Positional_Accuracy_Report = 329,
	WVertical_Positional_Accuracy_Value = 330,
	WVPF_Point_and_Vector_Object_Type = 331,
	WVPF_Terms_Description = 332,
	WVPF_Topology_Level = 333,
	WWest_Bounding_Coordinate = 334,
	Wunknown = 335,
	Wblank = 336,
	Wnull = 337,

	/* FGDC-STD-001-1998 */

	WG_Ring = 401,
	WG_Ring_Point = 402,
	WVPF_Point_and_Vector_Object_Information = 403,
	WMap_Projection_Parameters = 404,
	WMetadata_Extensions = 405,
	WProfile_Name = 406,

	/* Extension for language */

	WMetadata_Language = 501,

	/* Biological Data Profile */

	WDescription_of_Geographic_Extent = 601,
	WBounding_Altitudes = 602,
	WAltitude_Minimum = 603,
	WAltitude_Maximum = 604,
	WTaxonomy = 605,
	WKeywords_Taxon = 606,
	WTaxonomic_Keyword_Thesaurus = 607,
	WTaxonomic_Keywords = 608,
	WTaxonomic_System = 609,
	WClassification_System_Authority = 610,
	WClassification_System_Citation = 611,
	WClassification_System_Modifications = 612,
	WIdentification_Reference = 613,
	WIdentifier = 614,
	WTaxonomic_Procedures = 615,
	WTaxonomic_Completeness = 616,
	WVouchers = 617,
	WSpecimen = 618,
	WRepository = 619,
	WGeneral_Taxonomic_Coverage = 620,
	WTaxonomic_Classification = 621,
	WTaxon_Rank_Name = 622,
	WTaxon_Rank_Value = 623,
	WApplicable_Common_Name = 624,
	WAnalytical_Tool = 625,
	WAnalytical_Tool_Description = 626,
	WTool_Access_Information = 627,
	WTool_Contact = 628,
	WTool_Citation = 629,
	WTool_Access_Instructions = 630,
	WTool_Computer_and_Operating_System = 631,
	WMethodology = 632,
	WMethodology_Type = 633,
	WMethodology_Identifier = 634,
	WMethodology_Keyword_Thesaurus = 635,
	WMethodology_Keyword = 636,
	WMethodology_Description = 637,
	WMethodology_Citation = 638,
	WASCII_File_Structure = 639,
	WRecord_Delimiter = 640,
	WNumber_Header_Lines = 641,
	WDescription_of_Header_Content = 642,
	WOrientation = 643,
	WCase_Sensitive = 644,
	WAuthentication = 645,
	WQuote_Character = 646,
	WData_Field = 647,
	WData_Field_Name = 648,
	WMissing_Value_Code = 649,
	WData_Field_Width_Delimiter = 650,
	WData_Field_Width = 651,
	WBeginning_Geologic_Age = 652,
	WEnding_Geologic_Age = 653,
	WGeologic_Age = 654,
	WGeologic_Time_Scale = 655,
	WGeologic_Age_Estimate = 656,
	WGeologic_Age_Uncertainty = 657,
	WGeologic_Age_Explanation = 658,
	WGeologic_Citation = 659,

	/* Shoreline metadata profile */

	WBarometric_Pressure = 701,
	WEnvironmental_Event = 702,
	WMarine_Weather_Condition = 703,
	WProcess_Step_Citation = 704,
	WRange_of_Tide = 705,
	WSupplemental_Tidal_Information = 706,
	WTidal_Datum = 707,
	WTidal_Information = 708,
	WTide_Table_Reference = 709,
	WTime_of_High_Tide = 710,
	WTime_of_Low_Tide = 711,
	WTime_of_Tide = 712,
	WType_of_Tide = 713,
	WWave_Height = 714,
	WWind_Direction = 715,
	WWind_Speed = 716,

	/* Remote-sensing profile */

	WAcquisition_Information = 1001,
	WAerial_Film_Speed = 1002,
	WAerotriangulation_Reference = 1003,
	WAffine_Distortion_X_Prime_Coefficient = 1004,
	WAffine_Distortion_Y_Prime_Coefficient = 1005,
	WAggregation_Criteria = 1006,
	WAggregation_Information = 1007,
	WAggregation_Member_ID = 1008,
	WAlgorithm_Change_Description = 1009,
	WAlgorithm_Change_History = 1010,
	WAlgorithm_Change_Reference = 1011,
	WAlgorithm_Description = 1012,
	WAlgorithm_Identifiers = 1013,
	WAlgorithm_Information = 1014,
	WAlgorithm_Peer_Review_Description = 1015,
	WAlgorithm_Peer_Review_Information = 1016,
	WAlgorithm_Peer_Review_Reference = 1017,
	WAlgorithm_Reference = 1018,
	WAlgorithm_Text_Description = 1019,
	WAltitude_Distance_Layer = 1020,
	WAncillary_Dataset = 1021,
	WAncillary_Dataset_Description = 1022,
	WAncillary_Dataset_Identifier = 1023,
	WAncillary_Description = 1024,
	WAncillary_Reference = 1025,
	WAngle_Dependent_Distortion = 1026,
	WAngle_Distortion_Value = 1027,
	WArea_Weighted_Average_Resolution = 1028,
	WArgument_of_Perigee = 1029,
	WAscending_Descending_Indicator = 1030,
	WAttitude_Angular_Units = 1031,
	WAvailability_of_Element_Locations = 1032,
	WAxes = 1033,
	WAxis_Rotation_Convention = 1034,
	WBand_Boundary_Definition = 1035,
	WBand_Description = 1036,
	WBand_ID = 1037,
	WBand_Identification = 1038,
	WBand_Measurement_Mode_ID = 1039,
	WBand_Quality = 1040,
	WCalibrated_Detector_Positions = 1041,
	WCalibrated_Focal_Length = 1042,
	WCamera_Identifier = 1043,
	WCamera_Type = 1044,
	WCell_Value_Type = 1045,
	WClock_Time_Drift = 1046,
	WCollection_Type = 1047,
	WColumn_Delta_X = 1048,
	WColumn_Delta_Y = 1049,
	WCommand_Line_Processing_Parameter = 1050,
	WComponent_Information = 1051,
	WContainer_Packet_ID = 1052,
	WControl_Point_Authority = 1053,
	WControl_Point_Column = 1054,
	WControl_Point_Earth_Location = 1055,
	WControl_Point_Horizontal_X_Accuracy = 1056,
	WControl_Point_Horizontal_Y_Accuracy = 1057,
	WControl_Point_ID = 1058,
	WControl_Point_Identification = 1059,
	WControl_Point_Origin = 1060,
	WControl_Point_Raster_Position = 1061,
	WControl_Point_Row = 1062,
	WControl_Point_Type = 1063,
	WControl_Point_Use_Flag = 1064,
	WControl_Point_Vertical_Accuracy = 1065,
	WControl_Point_x_Value = 1066,
	WControl_Point_y_Value = 1067,
	WControl_Point_z_Value = 1068,
	WCoordinate_Point = 1069,
	WCoordinate_System = 1070,
	WCoordinate_x_Value = 1071,
	WCoordinate_XY_Units = 1072,
	WCoordinate_y_Value = 1073,
	WCoordinate_Z_Units = 1074,
	WCoordinate_z_Value = 1075,
	WCross_Track_Axis = 1076,
	WCross_Track_Description = 1077,
	WCross_Track_Direction = 1078,
	WCross_Track_Extent_Angle = 1079,
	WCross_Track_Fixed_Angle = 1080,
	WCross_Track_Motion = 1081,
	WCross_Track_Start_Angle = 1082,
	WCross_Track_Step_Angle = 1083,
	WCross_Track_Sweep = 1084,
	WCross_Track_Zero = 1085,
	WData_Dictionary_Reference = 1086,
	WData_Scaling_Information = 1087,
	WDataset_Identifier = 1088,
	WDate_of_Last_Calibration = 1089,
	WDeveloping_Institution = 1090,
	WDimension_Count = 1091,
	WDimension_Description = 1092,
	WDimension_Properties = 1093,
	WDistance_Dependent_Distortion = 1094,
	WDistance_Distortion_Value = 1095,
	WDistortion = 1096,
	WDistortion_Type_Affine = 1097,
	WDistortion_Type_Radial_Asymmetrical = 1098,
	WDistortion_Type_Radial_Symmetrical = 1099,
	WDocumentation = 1100,
	WEccentricity = 1101,
	WEffective_Aerial_Film_Speed = 1102,
	WElevation_Axis = 1103,
	WElevation_Description = 1104,
	WElevation_Direction = 1105,
	WElevation_Extent_Angle = 1106,
	WElevation_Fixed_Angle = 1107,
	WElevation_Start_Angle = 1108,
	WElevation_Step_Angle = 1109,
	WElevation_Sweep = 1110,
	WElevation_Zero = 1111,
	WEphemeris = 1112,
	WExposure_Time = 1113,
	WExterior_Orientation_Accuracy = 1114,
	WFiducial = 1115,
	WFiducial_Center = 1116,
	WFilm_Type = 1117,
	WFilter_on_Camera = 1118,
	WFilter_on_Camera_Indicator = 1119,
	WFilter_Type = 1120,
	WFlight_Protocol = 1121,
	WFlying_Height = 1122,
	WForward_Motion_Compensation = 1123,
	WFrame_Area = 1124,
	WFrame_Area_Units = 1125,
	WFrame_Area_Value = 1126,
	WFrame_Camera = 1127,
	WFrame_Geometric_Properties = 1128,
	WFrame_Hardware = 1129,
	WFrame_Operation = 1130,
	WFrame_Optics = 1131,
	WFrame_Radiometric_Calibration = 1132,
	WFrame_Radiometric_Properties = 1133,
	WFrame_Spectral_Information = 1134,
	WFrame_Spectral_Properties = 1135,
	WGeorectified_Raster = 1136,
	WGeoreferenceable_Raster = 1137,
	WGeoreferencing_Description = 1138,
	WGeoreferencing_Information = 1139,
	WGPS_Information_System_Availability = 1140,
	WGrid_First_Element = 1141,
	WGrid_First_Element_Map_X_Coordinate = 1142,
	WGrid_First_Element_Map_Y_Coordinate = 1143,
	WGrid_Orientation = 1144,
	WGround_Control_Point_Description = 1145,
	WGround_Control_Point_Information = 1146,
	WGround_Control_Point_Organization = 1147,
	WGround_Control_Point_Position = 1148,
	WGround_Shape = 1149,
	WID_Overlapping_Dataset = 1150,
	WIFOV_Units = 1151,
	WIFOV_x_Definition = 1152,
	WIFOV_x_Value = 1153,
	WIFOV_y_Definition = 1154,
	WIFOV_y_Value = 1155,
	WImage_Quality = 1156,
	WImage_Size = 1157,
	WImage_Size_x_Value = 1158,
	WImage_Size_y_Value = 1159,
	WInclination = 1160,
	WIndividual_Band_Identification = 1161,
	WInput_Dataset_Identifier = 1162,
	WInput_Description = 1163,
	WInput_Level = 1164,
	WInput_Reference = 1165,
	WINS_Reading_Availability = 1166,
	WInstantaneous_Field_of_View = 1167,
	WInstitution_of_Last_Calibration = 1168,
	WInstrument_Description = 1169,
	WInstrument_Full_Name = 1170,
	WInstrument_Information = 1171,
	WInstrument_Properties_Description = 1172,
	WInstrument_Reference = 1173,
	WInstrument_Short_Name = 1174,
	WInstrument_Specific_Georeferencing = 1175,
	WInstrument_Type = 1176,
	WKeplerian_Orbit = 1177,
	WLast_Calibration = 1178,
	WLayer_Name = 1179,
	WLens = 1180,
	WLens_Identifier = 1181,
	WLens_Type = 1182,
	WLight_Drop = 1183,
	WLocation_Information = 1184,
	WMagazine_Identifier = 1185,
	WMaximum_Wavelength = 1186,
	WMethod_of_Last_Calibration = 1187,
	WMinimum_Wavelength = 1188,
	WMission_Completion = 1189,
	WMission_Description = 1190,
	WMission_History = 1191,
	WMission_Information = 1192,
	WMission_Name = 1193,
	WMission_Significant_Event = 1194,
	WMission_Start_Date = 1195,
	WMultiple_Image_Alignment = 1196,
	WNadir = 1197,
	WNadir_Latitude = 1198,
	WNadir_Longitude = 1199,
	WName_of_Dimension = 1200,
	WNominal_Geostationary_Position = 1201,
	WNominal_Spatial_Resolution = 1202,
	WNon_Polynomial_Scaling = 1203,
	WNumber_of_Angle_Distortion_Values = 1204,
	WNumber_of_Bands = 1205,
	WNumber_of_Cross_Track_Samples = 1206,
	WNumber_of_Data_Dimensions = 1207,
	WNumber_of_Denominator_Terms = 1208,
	WNumber_of_Distance_Distortion_Values = 1209,
	WNumber_of_Elevation_Samples = 1210,
	WNumber_of_Numerator_Terms = 1211,
	WNumber_of_Points = 1212,
	WNumber_of_Profile_Samples = 1213,
	WNumber_of_Resolution_Values = 1214,
	WNumber_of_Thematic_Layers = 1215,
	WNumber_of_Wavelength_Bands = 1216,
	WOperational_Mode = 1217,
	WOrbit_Angle_Units = 1218,
	WOrbit_Period = 1219,
	WOrbit_Period_Units = 1220,
	WOrbit_Period_Value = 1221,
	WOther_Collector_Description = 1222,
	WOther_Georeferencing_Description = 1223,
	WPath = 1224,
	WPeak_Wavelength = 1225,
	WPercentage_of_Overlap = 1226,
	WPerigee_Passage_Time = 1227,
	WPhotographic_Resolving_Power = 1228,
	WPitch = 1229,
	WPitch_Accuracy = 1230,
	WPixel_Cross_Track_Size = 1231,
	WPixel_Description = 1232,
	WPixel_Elevation_Size = 1233,
	WPixel_Height_Above_Ellipsoid = 1234,
	WPixel_Point_Spread_Function = 1235,
	WPixel_Profile_Size = 1236,
	WPixel_Resolution = 1237,
	WPlatform_and_Instrument_Identification = 1238,
	WPlatform_and_Mission_Information = 1239,
	WPlatform_Description = 1240,
	WPlatform_Full_Name = 1241,
	WPlatform_Information = 1242,
	WPlatform_Nominal_Altitude = 1243,
	WPlatform_Nominal_Altitude_Units = 1244,
	WPlatform_Nominal_Altitude_Value = 1245,
	WPlatform_Nominal_Longitude = 1246,
	WPlatform_Orbit = 1247,
	WPlatform_Serial_Identifier = 1248,
	WPlatform_Short_Name = 1249,
	WPlatform_Sponsor = 1250,
	WPlatform_Start_Date = 1251,
	WPoint_Position_In_Pixel = 1252,
	WPolarization_Characteristics = 1253,
	WPolynomial_Coefficient = 1254,
	WPolynomial_Denominator = 1255,
	WPolynomial_Function = 1256,
	WPolynomial_Numerator = 1257,
	WPositional_Information = 1258,
	WPrincipal_Point_of_Autocollimation = 1259,
	WPrincipal_Point_of_Symmetry = 1260,
	WProcessing_Change_History = 1261,
	WProcessing_Documentation = 1262,
	WProcessing_Environment = 1263,
	WProcessing_Identifiers = 1264,
	WProcessing_Information = 1265,
	WProcessing_Input_Dataset = 1266,
	WProcessing_Level = 1267,
	WProcessing_Level_Authority = 1268,
	WProcessing_Level_Identifier = 1269,
	WProcessing_Procedure = 1270,
	WProcessing_Procedure_Description = 1271,
	WProcessing_Run_History = 1272,
	WProcessing_Software = 1273,
	WProcessing_Software_Description = 1274,
	WProcessing_Software_Reference = 1275,
	WProfile_Description = 1276,
	WProfile_Extent = 1277,
	WProfile_Fixed = 1278,
	WProfile_Properties = 1279,
	WProfile_Sounding = 1280,
	WProfile_Start = 1281,
	WProfile_Step = 1282,
	WProfiling_Direction = 1283,
	WProjection_Center_X_Position = 1284,
	WProjection_Center_Y_Position = 1285,
	WProjection_Center_Z_Position = 1286,
	WQuality_of_Autocollimation_Principal_Point_x_Value = 1287,
	WQuality_of_Autocollimation_Principal_Point_y_Value = 1288,
	WQuality_of_Focal_Length = 1289,
	WQuality_of_Principal_Point_of_Autocollimation = 1290,
	WQuality_of_Principal_Point_of_Symmetry = 1291,
	WQuality_of_Symmetry_Principal_Point_x_Value = 1292,
	WQuality_of_Symmetry_Principal_Point_y_Value = 1293,
	WRadial_Asymmetrical_Coefficient_B1 = 1294,
	WRadial_Asymmetrical_Coefficient_B2 = 1295,
	WRadial_Symmetrical_Angle_Interval = 1296,
	WRadial_Symmetrical_Distance_Interval = 1297,
	WRadial_Symmetrical_Distortion_Polynomial = 1298,
	WReceiver_Polarization = 1299,
	WReferenced_Coordinate_System = 1300,
	WReferencing_Polynomial = 1301,
	WRelative_Aperture = 1302,
	WRelative_Azimuth = 1303,
	WReseau = 1304,
	WResolution_Value_Set = 1305,
	WResolving_Angle = 1306,
	WResolving_Value_Radial = 1307,
	WResolving_Value_Tangential = 1308,
	WRight_Ascension_of_Ascending_Node = 1309,
	WRoll = 1310,
	WRoll_Accuracy = 1311,
	WRotation_Description = 1312,
	WRotation_Sequence = 1313,
	WRow = 1314,
	WRow_Delta_X = 1315,
	WRow_Delta_Y = 1316,
	WSample_Angle_Units = 1317,
	WSample_Description_Units = 1318,
	WSample_Profile_Units = 1319,
	WSample_Properties = 1320,
	WSatellite_Local_Azimuth_Angle = 1321,
	WSatellite_Local_Zenith_Angle = 1322,
	WScan = 1323,
	WScan_Angle_Units = 1324,
	WScan_Cross_Track_Properties = 1325,
	WScan_Distance_Units = 1326,
	WScan_Duration = 1327,
	WScan_Elevation_Properties = 1328,
	WScan_Geometric_Properties = 1329,
	WScan_Radiometric_Properties = 1330,
	WScan_Repeat_Time = 1331,
	WScan_Spectral_Properties = 1332,
	WScan_Start_Time = 1333,
	WScan_Step_Time = 1334,
	WScan_Time_Units = 1335,
	WScan_Timing = 1336,
	WScience_Paper = 1337,
	WSemimajor_Axis = 1338,
	WSender_Polarization = 1339,
	WSensor_Element_Location = 1340,
	WSensor_Grid = 1341,
	WSensor_Orientation = 1342,
	WSensor_System = 1343,
	WSolar_Azimuth_Angle = 1344,
	WSolar_Zenith_Angle = 1345,
	WSource_of_Element_Locations = 1346,
	WSpatial_Resolution_Units = 1347,
	WSpatial_Resolution_Value = 1348,
	WSpectral_Information = 1349,
	WSpectral_Limit = 1350,
	WStabilized_Mount = 1351,
	WStorage_Order = 1352,
	WSwath_Track_Information = 1353,
	WThematic_Layer_Identification = 1354,
	WTranslation_Description = 1355,
	WType_of_Overlap = 1356,
	WUnreferenced_Coordinate_System = 1357,
	WUsers_Guide = 1358,
	WWavelength_Band_Properties = 1359,
	WWavelength_Region = 1360,
	WWavelength_Units = 1361,
	WWorldwide_Reference_System = 1362,
	WX_Axis_Definition = 1363,
	WX_Position_Accuracy = 1364,
	WY_Axis_Definition = 1365,
	WY_Position_Accuracy = 1366,
	WYaw = 1367,
	WYaw_Accuracy = 1368,
	WZ_Axis_Definition = 1369,
	WZ_Position_Accuracy = 1370,

#ifdef USE_ESRI_EXTENSIONS

	/* ESRI elements */

	WAltitude_Units = 2001,
	WAncillary_Role = 2002,
	WAncillary_Role_Attribute = 2003,
	WAttribute_Alias = 2004,
	WAttribute_Defined_Domain = 2005,
	WAttribute_Indexed = 2006,
	WAttribute_Number_of_Decimals = 2007,
	WAttribute_Output_Width = 2008,
	WAttribute_Precision = 2009,
	WAttribute_Scale = 2010,
	WAttribute_Type = 2011,
	WAttribute_Width = 2012,
	WAttributed_Relationship = 2013,
	WAvailable_Junction_Feature_Class = 2014,
	WAvailable_Junction_Subtype = 2015,
	WAvailable_Junctions = 2016,
	WBackground_Nodata_Value = 2017,
	WBehrmann = 2018,
	WBinary_Enclosures = 2019,
	WBits_Per_Pixel = 2020,
	WBonne = 2021,
	WBottom_Bounding_Coordinate = 2022,
	WBrowse_Graphic_Embedded = 2023,
	WCassini = 2024,
	WCell_Size_X_Direction = 2025,
	WCell_Size_X_Units = 2026,
	WCell_Size_Y_Direction = 2027,
	WCell_Size_Y_Units = 2028,
	WComposite_Relationship = 2029,
	WCompression_Type = 2030,
	WConnectivity_Rule = 2031,
	WCoordinate_System_Name = 2032,
	WCreation_Date = 2033,
	WCreation_Time = 2034,
	WData = 2035,
	WData_Frame_Count = 2036,
	WData_Frame_Name = 2037,
	WData_Frames = 2038,
	WDatabase_Name = 2039,
	WDataset_Size = 2040,
	WDefault_Junction_Feature_Class = 2041,
	WDefault_Junction_Subtype = 2042,
	WDescription_of_Association = 2043,
	WDescription_of_Enclosure = 2044,
	WDescription_of_Relationship = 2045,
	WDestination_Foreign_Key = 2046,
	WDestination_Name = 2047,
	WDestination_Primary_Key = 2048,
	WDomain_Attribute_Type = 2049,
	WDomain_Description = 2050,
	WDomain_Name = 2051,
	WDomain_Owner = 2052,
	WDomain_Type = 2053,
	WEckert_I = 2054,
	WEckert_II = 2055,
	WEckert_III = 2056,
	WEckert_IV = 2057,
	WEckert_V = 2058,
	WEckert_VI = 2059,
	WEdge_Feature_Class = 2060,
	WEdge_Maximum_Cardinality = 2061,
	WEdge_Minimum_Cardinality = 2062,
	WEdge_Subtype = 2063,
	WEnabled_Attribute = 2064,
	WEnclosure = 2065,
	WEntity_Type_Count = 2066,
	WEntity_Type_Type = 2067,
	WESRI_Feature_Count = 2068,
	WESRI_Feature_Geometry = 2069,
	WESRI_Feature_Type = 2070,
	WESRI_Information = 2071,
	WESRI_Terms_Description = 2072,
	WESRI_Topology = 2073,
	WFeature_Description = 2074,
	WFile_or_Table_Name = 2075,
	WFrom_Edge_Feature_Class = 2076,
	WFrom_Edge_Subtype = 2077,
	WGall_Stereographic = 2078,
	WGeocoding_Information = 2079,
	WGeographic_Coordinate_System_Name = 2080,
	WGeometric_Network_Information = 2081,
	WImage_Colormap = 2082,
	WImage_Format = 2083,
	WImage_Type = 2084,
	WInstance_Name = 2085,
	WJunction_Feature_Class = 2086,
	WJunction_Maximum_Cardinality = 2087,
	WJunction_Minimum_Cardinality = 2088,
	WJunction_Subtype = 2089,
	WLanguage_of_Dataset = 2090,
	WLanguage_of_Metadata = 2091,
	WLeft_Bounding_Coordinate = 2092,
	WLinear_Referencing = 2093,
	WLocal_Bounding_Coordinates = 2094,
	WLoximuthal = 2095,
	WMaximum_Altitude = 2096,
	WMerge_Rule = 2097,
	WMetadata_ID = 2098,
	WMinimum_Altitude = 2099,
	WModification_Date = 2100,
	WModification_Time = 2101,
	WMollweide = 2102,
	WNative_Dataset_Format = 2103,
	WNetwork_Element = 2104,
	WNetwork_Role = 2105,
	WNetwork_Type = 2106,
	WNotification_Direction = 2107,
	WNumber_of_Raster_Bands = 2108,
	WOrigin_Foreign_Key = 2109,
	WOrigin_Name = 2110,
	WOrigin_Primary_Key = 2111,
	WProcess_Software_and_Version = 2112,
	WProjected_Coordinate_System_Name = 2113,
	WPyramid_Layers = 2114,
	WQuartic_Authalic = 2115,
	WRange_Domain_Mean = 2116,
	WRange_Domain_Standard_Deviation = 2117,
	WRaster_Display_Type = 2118,
	WRaster_Origin = 2119,
	WRelationship_Backward_Label = 2120,
	WRelationship_Cardinality = 2121,
	WRelationship_Forward_Label = 2122,
	WRelationship_Information = 2123,
	WRight_Bounding_Coordinate = 2124,
	WRule_Category = 2125,
	WRule_Help = 2126,
	WRule_Type = 2127,
	WSDE_Connection_Information = 2128,
	WServer_Name = 2129,
	WSpatial_Index = 2130,
	WSplit_Rule = 2131,
	WSubtype_Attribute = 2132,
	WSubtype_Attribute_Name = 2133,
	WSubtype_Code = 2134,
	WSubtype_Default_Value = 2135,
	WSubtype_Information = 2136,
	WSubtype_Name = 2137,
	WSynchronization_Date = 2138,
	WSynchronization_Time = 2139,
	WSynchronize_Automatically = 2140,
	WSynchronize_Once = 2141,
	WThumbnail = 2142,
	WTo_Edge_Feature_Class = 2143,
	WTo_Edge_Subtype = 2144,
	WTop_Bounding_Coordinate = 2145,
	WUser_Name = 2146,
	WVersion_Name = 2147,
	WWinkel_I = 2148,
	WWinkel_II = 2149,
	WGeographic_Box = 2150,

#endif

	WEnd_of_List
	};

extern enum fgdc_keyword key_of (const char *text);
extern char *text_of (enum fgdc_keyword key);
extern int is_standard (enum fgdc_keyword key);

#endif	/* FGDC_KEYWORD_ENUM */

/*----------------------------------------------------------------------*\
\*----------------------------------------------------------------------*/
