.TH mq n 8.1 "Tcl-Extensions"
.HS mq tcl
.BS
.SH NAME
mq \- read, query, and update formal metadata
.SH SYNOPSIS
\fBconfig read \fIconfig_file\fR
.br
\fBconfig find_first \fIoption\fR
.br
\fBconfig find_next \fIaddress ?option?\fR
.br
\fBconfig find_in \fIaddress option\fR
.br
\fBconfig value_of \fIaddress\fR
.br
\fBmetadata \fI m -parse input_file\fR
.br
.SH DESCRIPTION
This is a Tcl extension that facilitates reading, querying, and updating
geospatial metadata compatible with the Content Standard for Digital
Geospatial Metadata developed by the U.S. Federal Geographic Data
Committee.
.PP
Two base commands are provided in this extension, \fBconfig\fR and
\fBmetadata\fR.  The \fBconfig\fR command reads and queries information
from a configuration file whose structure and format are described in
<http://geology.usgs.gov/tools/metadata/tools/doc/config.html>.  The
\fBmetadata\fR command is used to read a metadata record whose format
is either indented text as specified in
<http://geology.usgs.gov/tools/metadata/tools/doc/encoding.html> or
is SGML or XML using the tags given in
<http://geology.usgs.gov/tools/metadata/tools/doc/sgmltags.txt>
and conforming to the structure given in the document type definitions
<http://geology.usgs.gov/tools/metadata/tools/doc/metadata.dtd> and
<http://geology.usgs.gov/tools/metadata/tools/doc/fgdc-std-001-1998.dtd>.
.PP
The first argument of the \fBmetadata\fR command is the name of a Tcl
variable.  If the parsing operation is successful, this variable will
contain the name of a new Tcl command that can be used to query and
update the metadata record.  This is similar to the way Tk widgets work.
So after successfully executing the command shown above, the variable
\fIm\fR can be used in subsequent Tcl statements.  Further details of
its use are on the internet at
<http://geology.usgs.gov/tools/metadata/tools/doc/mq.html>

